unit schRemesasClienteClient_Intf;

interface

uses
  Classes, DB, schBase_Intf, SysUtils, uROClasses, uDADataTable, FmtBCD, uROXMLIntf;

const
  { Data table rules ids
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_RemesasCliente = '{DE6CB3E1-9C21-44E9-827D-18877E6C8E67}';

  { Data table names }
  nme_RemesasCliente = 'RemesasCliente';

  { RemesasCliente fields }
  fld_RemesasClienteID = 'ID';
  fld_RemesasClienteID_EMPRESA = 'ID_EMPRESA';
  fld_RemesasClienteREFERENCIA = 'REFERENCIA';
  fld_RemesasClienteTIPO = 'TIPO';
  fld_RemesasClienteFECHA_REMESA = 'FECHA_REMESA';
  fld_RemesasClienteDESCRIPCION = 'DESCRIPCION';
  fld_RemesasClienteID_DATOS_BANCO = 'ID_DATOS_BANCO';
  fld_RemesasClienteFECHA_ALTA = 'FECHA_ALTA';
  fld_RemesasClienteFECHA_MODIFICACION = 'FECHA_MODIFICACION';
  fld_RemesasClienteUSUARIO = 'USUARIO';
  fld_RemesasClienteNOMBRE = 'NOMBRE';
  fld_RemesasClienteENTIDAD = 'ENTIDAD';
  fld_RemesasClienteSUCURSAL = 'SUCURSAL';
  fld_RemesasClienteDC = 'DC';
  fld_RemesasClienteCUENTA = 'CUENTA';
  fld_RemesasClienteSUFIJO_N19 = 'SUFIJO_N19';
  fld_RemesasClienteSUFIJO_N58 = 'SUFIJO_N58';
  fld_RemesasClienteIMPORTE_TOTAL = 'IMPORTE_TOTAL';

  { RemesasCliente field indexes }
  idx_RemesasClienteID = 0;
  idx_RemesasClienteID_EMPRESA = 1;
  idx_RemesasClienteREFERENCIA = 2;
  idx_RemesasClienteTIPO = 3;
  idx_RemesasClienteFECHA_REMESA = 4;
  idx_RemesasClienteDESCRIPCION = 5;
  idx_RemesasClienteID_DATOS_BANCO = 6;
  idx_RemesasClienteFECHA_ALTA = 7;
  idx_RemesasClienteFECHA_MODIFICACION = 8;
  idx_RemesasClienteUSUARIO = 9;
  idx_RemesasClienteNOMBRE = 10;
  idx_RemesasClienteENTIDAD = 11;
  idx_RemesasClienteSUCURSAL = 12;
  idx_RemesasClienteDC = 13;
  idx_RemesasClienteCUENTA = 14;
  idx_RemesasClienteSUFIJO_N19 = 15;
  idx_RemesasClienteSUFIJO_N58 = 16;
  idx_RemesasClienteIMPORTE_TOTAL = 17;

type
  { IRemesasCliente }
  IRemesasCliente = interface(IDAStronglyTypedDataTable)
  ['{2D9ED2DE-5E2C-4014-BFC9-C7D6A770217A}']
    { Property getters and setters }
    function GetIDValue: Integer;
    procedure SetIDValue(const aValue: Integer);
    function GetIDIsNull: Boolean;
    procedure SetIDIsNull(const aValue: Boolean);
    function GetID_EMPRESAValue: Integer;
    procedure SetID_EMPRESAValue(const aValue: Integer);
    function GetID_EMPRESAIsNull: Boolean;
    procedure SetID_EMPRESAIsNull(const aValue: Boolean);
    function GetREFERENCIAValue: String;
    procedure SetREFERENCIAValue(const aValue: String);
    function GetREFERENCIAIsNull: Boolean;
    procedure SetREFERENCIAIsNull(const aValue: Boolean);
    function GetTIPOValue: String;
    procedure SetTIPOValue(const aValue: String);
    function GetTIPOIsNull: Boolean;
    procedure SetTIPOIsNull(const aValue: Boolean);
    function GetFECHA_REMESAValue: DateTime;
    procedure SetFECHA_REMESAValue(const aValue: DateTime);
    function GetFECHA_REMESAIsNull: Boolean;
    procedure SetFECHA_REMESAIsNull(const aValue: Boolean);
    function GetDESCRIPCIONValue: String;
    procedure SetDESCRIPCIONValue(const aValue: String);
    function GetDESCRIPCIONIsNull: Boolean;
    procedure SetDESCRIPCIONIsNull(const aValue: Boolean);
    function GetID_DATOS_BANCOValue: Integer;
    procedure SetID_DATOS_BANCOValue(const aValue: Integer);
    function GetID_DATOS_BANCOIsNull: Boolean;
    procedure SetID_DATOS_BANCOIsNull(const aValue: Boolean);
    function GetFECHA_ALTAValue: DateTime;
    procedure SetFECHA_ALTAValue(const aValue: DateTime);
    function GetFECHA_ALTAIsNull: Boolean;
    procedure SetFECHA_ALTAIsNull(const aValue: Boolean);
    function GetFECHA_MODIFICACIONValue: DateTime;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime);
    function GetFECHA_MODIFICACIONIsNull: Boolean;
    procedure SetFECHA_MODIFICACIONIsNull(const aValue: Boolean);
    function GetUSUARIOValue: String;
    procedure SetUSUARIOValue(const aValue: String);
    function GetUSUARIOIsNull: Boolean;
    procedure SetUSUARIOIsNull(const aValue: Boolean);
    function GetNOMBREValue: String;
    procedure SetNOMBREValue(const aValue: String);
    function GetNOMBREIsNull: Boolean;
    procedure SetNOMBREIsNull(const aValue: Boolean);
    function GetENTIDADValue: String;
    procedure SetENTIDADValue(const aValue: String);
    function GetENTIDADIsNull: Boolean;
    procedure SetENTIDADIsNull(const aValue: Boolean);
    function GetSUCURSALValue: String;
    procedure SetSUCURSALValue(const aValue: String);
    function GetSUCURSALIsNull: Boolean;
    procedure SetSUCURSALIsNull(const aValue: Boolean);
    function GetDCValue: String;
    procedure SetDCValue(const aValue: String);
    function GetDCIsNull: Boolean;
    procedure SetDCIsNull(const aValue: Boolean);
    function GetCUENTAValue: String;
    procedure SetCUENTAValue(const aValue: String);
    function GetCUENTAIsNull: Boolean;
    procedure SetCUENTAIsNull(const aValue: Boolean);
    function GetSUFIJO_N19Value: String;
    procedure SetSUFIJO_N19Value(const aValue: String);
    function GetSUFIJO_N19IsNull: Boolean;
    procedure SetSUFIJO_N19IsNull(const aValue: Boolean);
    function GetSUFIJO_N58Value: String;
    procedure SetSUFIJO_N58Value(const aValue: String);
    function GetSUFIJO_N58IsNull: Boolean;
    procedure SetSUFIJO_N58IsNull(const aValue: Boolean);
    function GetIMPORTE_TOTALValue: Currency;
    procedure SetIMPORTE_TOTALValue(const aValue: Currency);
    function GetIMPORTE_TOTALIsNull: Boolean;
    procedure SetIMPORTE_TOTALIsNull(const aValue: Boolean);


    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property IDIsNull: Boolean read GetIDIsNull write SetIDIsNull;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_EMPRESAIsNull: Boolean read GetID_EMPRESAIsNull write SetID_EMPRESAIsNull;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIAIsNull: Boolean read GetREFERENCIAIsNull write SetREFERENCIAIsNull;
    property TIPO: String read GetTIPOValue write SetTIPOValue;
    property TIPOIsNull: Boolean read GetTIPOIsNull write SetTIPOIsNull;
    property FECHA_REMESA: DateTime read GetFECHA_REMESAValue write SetFECHA_REMESAValue;
    property FECHA_REMESAIsNull: Boolean read GetFECHA_REMESAIsNull write SetFECHA_REMESAIsNull;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property DESCRIPCIONIsNull: Boolean read GetDESCRIPCIONIsNull write SetDESCRIPCIONIsNull;
    property ID_DATOS_BANCO: Integer read GetID_DATOS_BANCOValue write SetID_DATOS_BANCOValue;
    property ID_DATOS_BANCOIsNull: Boolean read GetID_DATOS_BANCOIsNull write SetID_DATOS_BANCOIsNull;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_ALTAIsNull: Boolean read GetFECHA_ALTAIsNull write SetFECHA_ALTAIsNull;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property FECHA_MODIFICACIONIsNull: Boolean read GetFECHA_MODIFICACIONIsNull write SetFECHA_MODIFICACIONIsNull;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property USUARIOIsNull: Boolean read GetUSUARIOIsNull write SetUSUARIOIsNull;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;
    property NOMBREIsNull: Boolean read GetNOMBREIsNull write SetNOMBREIsNull;
    property ENTIDAD: String read GetENTIDADValue write SetENTIDADValue;
    property ENTIDADIsNull: Boolean read GetENTIDADIsNull write SetENTIDADIsNull;
    property SUCURSAL: String read GetSUCURSALValue write SetSUCURSALValue;
    property SUCURSALIsNull: Boolean read GetSUCURSALIsNull write SetSUCURSALIsNull;
    property DC: String read GetDCValue write SetDCValue;
    property DCIsNull: Boolean read GetDCIsNull write SetDCIsNull;
    property CUENTA: String read GetCUENTAValue write SetCUENTAValue;
    property CUENTAIsNull: Boolean read GetCUENTAIsNull write SetCUENTAIsNull;
    property SUFIJO_N19: String read GetSUFIJO_N19Value write SetSUFIJO_N19Value;
    property SUFIJO_N19IsNull: Boolean read GetSUFIJO_N19IsNull write SetSUFIJO_N19IsNull;
    property SUFIJO_N58: String read GetSUFIJO_N58Value write SetSUFIJO_N58Value;
    property SUFIJO_N58IsNull: Boolean read GetSUFIJO_N58IsNull write SetSUFIJO_N58IsNull;
    property IMPORTE_TOTAL: Currency read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property IMPORTE_TOTALIsNull: Boolean read GetIMPORTE_TOTALIsNull write SetIMPORTE_TOTALIsNull;
  end;

  { TRemesasClienteDataTableRules }
  TRemesasClienteDataTableRules = class(TIntfObjectDADataTableRules, IRemesasCliente)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    function GetIDIsNull: Boolean; virtual;
    procedure SetIDIsNull(const aValue: Boolean); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    function GetID_EMPRESAIsNull: Boolean; virtual;
    procedure SetID_EMPRESAIsNull(const aValue: Boolean); virtual;
    function GetREFERENCIAValue: String; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    function GetREFERENCIAIsNull: Boolean; virtual;
    procedure SetREFERENCIAIsNull(const aValue: Boolean); virtual;
    function GetTIPOValue: String; virtual;
    procedure SetTIPOValue(const aValue: String); virtual;
    function GetTIPOIsNull: Boolean; virtual;
    procedure SetTIPOIsNull(const aValue: Boolean); virtual;
    function GetFECHA_REMESAValue: DateTime; virtual;
    procedure SetFECHA_REMESAValue(const aValue: DateTime); virtual;
    function GetFECHA_REMESAIsNull: Boolean; virtual;
    procedure SetFECHA_REMESAIsNull(const aValue: Boolean); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    function GetDESCRIPCIONIsNull: Boolean; virtual;
    procedure SetDESCRIPCIONIsNull(const aValue: Boolean); virtual;
    function GetID_DATOS_BANCOValue: Integer; virtual;
    procedure SetID_DATOS_BANCOValue(const aValue: Integer); virtual;
    function GetID_DATOS_BANCOIsNull: Boolean; virtual;
    procedure SetID_DATOS_BANCOIsNull(const aValue: Boolean); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    function GetFECHA_ALTAIsNull: Boolean; virtual;
    procedure SetFECHA_ALTAIsNull(const aValue: Boolean); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    function GetFECHA_MODIFICACIONIsNull: Boolean; virtual;
    procedure SetFECHA_MODIFICACIONIsNull(const aValue: Boolean); virtual;
    function GetUSUARIOValue: String; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    function GetUSUARIOIsNull: Boolean; virtual;
    procedure SetUSUARIOIsNull(const aValue: Boolean); virtual;
    function GetNOMBREValue: String; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    function GetNOMBREIsNull: Boolean; virtual;
    procedure SetNOMBREIsNull(const aValue: Boolean); virtual;
    function GetENTIDADValue: String; virtual;
    procedure SetENTIDADValue(const aValue: String); virtual;
    function GetENTIDADIsNull: Boolean; virtual;
    procedure SetENTIDADIsNull(const aValue: Boolean); virtual;
    function GetSUCURSALValue: String; virtual;
    procedure SetSUCURSALValue(const aValue: String); virtual;
    function GetSUCURSALIsNull: Boolean; virtual;
    procedure SetSUCURSALIsNull(const aValue: Boolean); virtual;
    function GetDCValue: String; virtual;
    procedure SetDCValue(const aValue: String); virtual;
    function GetDCIsNull: Boolean; virtual;
    procedure SetDCIsNull(const aValue: Boolean); virtual;
    function GetCUENTAValue: String; virtual;
    procedure SetCUENTAValue(const aValue: String); virtual;
    function GetCUENTAIsNull: Boolean; virtual;
    procedure SetCUENTAIsNull(const aValue: Boolean); virtual;
    function GetSUFIJO_N19Value: String; virtual;
    procedure SetSUFIJO_N19Value(const aValue: String); virtual;
    function GetSUFIJO_N19IsNull: Boolean; virtual;
    procedure SetSUFIJO_N19IsNull(const aValue: Boolean); virtual;
    function GetSUFIJO_N58Value: String; virtual;
    procedure SetSUFIJO_N58Value(const aValue: String); virtual;
    function GetSUFIJO_N58IsNull: Boolean; virtual;
    procedure SetSUFIJO_N58IsNull(const aValue: Boolean); virtual;
    function GetIMPORTE_TOTALValue: Currency; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Currency); virtual;
    function GetIMPORTE_TOTALIsNull: Boolean; virtual;
    procedure SetIMPORTE_TOTALIsNull(const aValue: Boolean); virtual;

    { Properties }
    property ID: Integer read GetIDValue write SetIDValue;
    property IDIsNull: Boolean read GetIDIsNull write SetIDIsNull;
    property ID_EMPRESA: Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_EMPRESAIsNull: Boolean read GetID_EMPRESAIsNull write SetID_EMPRESAIsNull;
    property REFERENCIA: String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIAIsNull: Boolean read GetREFERENCIAIsNull write SetREFERENCIAIsNull;
    property TIPO: String read GetTIPOValue write SetTIPOValue;
    property TIPOIsNull: Boolean read GetTIPOIsNull write SetTIPOIsNull;
    property FECHA_REMESA: DateTime read GetFECHA_REMESAValue write SetFECHA_REMESAValue;
    property FECHA_REMESAIsNull: Boolean read GetFECHA_REMESAIsNull write SetFECHA_REMESAIsNull;
    property DESCRIPCION: String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property DESCRIPCIONIsNull: Boolean read GetDESCRIPCIONIsNull write SetDESCRIPCIONIsNull;
    property ID_DATOS_BANCO: Integer read GetID_DATOS_BANCOValue write SetID_DATOS_BANCOValue;
    property ID_DATOS_BANCOIsNull: Boolean read GetID_DATOS_BANCOIsNull write SetID_DATOS_BANCOIsNull;
    property FECHA_ALTA: DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_ALTAIsNull: Boolean read GetFECHA_ALTAIsNull write SetFECHA_ALTAIsNull;
    property FECHA_MODIFICACION: DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property FECHA_MODIFICACIONIsNull: Boolean read GetFECHA_MODIFICACIONIsNull write SetFECHA_MODIFICACIONIsNull;
    property USUARIO: String read GetUSUARIOValue write SetUSUARIOValue;
    property USUARIOIsNull: Boolean read GetUSUARIOIsNull write SetUSUARIOIsNull;
    property NOMBRE: String read GetNOMBREValue write SetNOMBREValue;
    property NOMBREIsNull: Boolean read GetNOMBREIsNull write SetNOMBREIsNull;
    property ENTIDAD: String read GetENTIDADValue write SetENTIDADValue;
    property ENTIDADIsNull: Boolean read GetENTIDADIsNull write SetENTIDADIsNull;
    property SUCURSAL: String read GetSUCURSALValue write SetSUCURSALValue;
    property SUCURSALIsNull: Boolean read GetSUCURSALIsNull write SetSUCURSALIsNull;
    property DC: String read GetDCValue write SetDCValue;
    property DCIsNull: Boolean read GetDCIsNull write SetDCIsNull;
    property CUENTA: String read GetCUENTAValue write SetCUENTAValue;
    property CUENTAIsNull: Boolean read GetCUENTAIsNull write SetCUENTAIsNull;
    property SUFIJO_N19: String read GetSUFIJO_N19Value write SetSUFIJO_N19Value;
    property SUFIJO_N19IsNull: Boolean read GetSUFIJO_N19IsNull write SetSUFIJO_N19IsNull;
    property SUFIJO_N58: String read GetSUFIJO_N58Value write SetSUFIJO_N58Value;
    property SUFIJO_N58IsNull: Boolean read GetSUFIJO_N58IsNull write SetSUFIJO_N58IsNull;
    property IMPORTE_TOTAL: Currency read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property IMPORTE_TOTALIsNull: Boolean read GetIMPORTE_TOTALIsNull write SetIMPORTE_TOTALIsNull;

  public
    constructor Create(aDataTable: TDADataTable); override;
    destructor Destroy; override;

  end;

implementation

uses Variants, uROBinaryHelpers;

{ TRemesasClienteDataTableRules }
constructor TRemesasClienteDataTableRules.Create(aDataTable: TDADataTable);
begin
  inherited;
end;

destructor TRemesasClienteDataTableRules.Destroy;
begin
  inherited;
end;

function TRemesasClienteDataTableRules.GetIDValue: Integer;
begin
  result := DataTable.Fields[idx_RemesasClienteID].AsInteger;
end;

procedure TRemesasClienteDataTableRules.SetIDValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RemesasClienteID].AsInteger := aValue;
end;

function TRemesasClienteDataTableRules.GetIDIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasClienteID].IsNull;
end;

procedure TRemesasClienteDataTableRules.SetIDIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasClienteID].AsVariant := Null;
end;

function TRemesasClienteDataTableRules.GetID_EMPRESAValue: Integer;
begin
  result := DataTable.Fields[idx_RemesasClienteID_EMPRESA].AsInteger;
end;

procedure TRemesasClienteDataTableRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RemesasClienteID_EMPRESA].AsInteger := aValue;
end;

function TRemesasClienteDataTableRules.GetID_EMPRESAIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasClienteID_EMPRESA].IsNull;
end;

procedure TRemesasClienteDataTableRules.SetID_EMPRESAIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasClienteID_EMPRESA].AsVariant := Null;
end;

function TRemesasClienteDataTableRules.GetREFERENCIAValue: String;
begin
  result := DataTable.Fields[idx_RemesasClienteREFERENCIA].AsString;
end;

procedure TRemesasClienteDataTableRules.SetREFERENCIAValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasClienteREFERENCIA].AsString := aValue;
end;

function TRemesasClienteDataTableRules.GetREFERENCIAIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasClienteREFERENCIA].IsNull;
end;

procedure TRemesasClienteDataTableRules.SetREFERENCIAIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasClienteREFERENCIA].AsVariant := Null;
end;

function TRemesasClienteDataTableRules.GetTIPOValue: String;
begin
  result := DataTable.Fields[idx_RemesasClienteTIPO].AsString;
end;

procedure TRemesasClienteDataTableRules.SetTIPOValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasClienteTIPO].AsString := aValue;
end;

function TRemesasClienteDataTableRules.GetTIPOIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasClienteTIPO].IsNull;
end;

procedure TRemesasClienteDataTableRules.SetTIPOIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasClienteTIPO].AsVariant := Null;
end;

function TRemesasClienteDataTableRules.GetFECHA_REMESAValue: DateTime;
begin
  result := DataTable.Fields[idx_RemesasClienteFECHA_REMESA].AsDateTime;
end;

procedure TRemesasClienteDataTableRules.SetFECHA_REMESAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RemesasClienteFECHA_REMESA].AsDateTime := aValue;
end;

function TRemesasClienteDataTableRules.GetFECHA_REMESAIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasClienteFECHA_REMESA].IsNull;
end;

procedure TRemesasClienteDataTableRules.SetFECHA_REMESAIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasClienteFECHA_REMESA].AsVariant := Null;
end;

function TRemesasClienteDataTableRules.GetDESCRIPCIONValue: String;
begin
  result := DataTable.Fields[idx_RemesasClienteDESCRIPCION].AsString;
end;

procedure TRemesasClienteDataTableRules.SetDESCRIPCIONValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasClienteDESCRIPCION].AsString := aValue;
end;

function TRemesasClienteDataTableRules.GetDESCRIPCIONIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasClienteDESCRIPCION].IsNull;
end;

procedure TRemesasClienteDataTableRules.SetDESCRIPCIONIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasClienteDESCRIPCION].AsVariant := Null;
end;

function TRemesasClienteDataTableRules.GetID_DATOS_BANCOValue: Integer;
begin
  result := DataTable.Fields[idx_RemesasClienteID_DATOS_BANCO].AsInteger;
end;

procedure TRemesasClienteDataTableRules.SetID_DATOS_BANCOValue(const aValue: Integer);
begin
  DataTable.Fields[idx_RemesasClienteID_DATOS_BANCO].AsInteger := aValue;
end;

function TRemesasClienteDataTableRules.GetID_DATOS_BANCOIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasClienteID_DATOS_BANCO].IsNull;
end;

procedure TRemesasClienteDataTableRules.SetID_DATOS_BANCOIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasClienteID_DATOS_BANCO].AsVariant := Null;
end;

function TRemesasClienteDataTableRules.GetFECHA_ALTAValue: DateTime;
begin
  result := DataTable.Fields[idx_RemesasClienteFECHA_ALTA].AsDateTime;
end;

procedure TRemesasClienteDataTableRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RemesasClienteFECHA_ALTA].AsDateTime := aValue;
end;

function TRemesasClienteDataTableRules.GetFECHA_ALTAIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasClienteFECHA_ALTA].IsNull;
end;

procedure TRemesasClienteDataTableRules.SetFECHA_ALTAIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasClienteFECHA_ALTA].AsVariant := Null;
end;

function TRemesasClienteDataTableRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := DataTable.Fields[idx_RemesasClienteFECHA_MODIFICACION].AsDateTime;
end;

procedure TRemesasClienteDataTableRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  DataTable.Fields[idx_RemesasClienteFECHA_MODIFICACION].AsDateTime := aValue;
end;

function TRemesasClienteDataTableRules.GetFECHA_MODIFICACIONIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasClienteFECHA_MODIFICACION].IsNull;
end;

procedure TRemesasClienteDataTableRules.SetFECHA_MODIFICACIONIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasClienteFECHA_MODIFICACION].AsVariant := Null;
end;

function TRemesasClienteDataTableRules.GetUSUARIOValue: String;
begin
  result := DataTable.Fields[idx_RemesasClienteUSUARIO].AsString;
end;

procedure TRemesasClienteDataTableRules.SetUSUARIOValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasClienteUSUARIO].AsString := aValue;
end;

function TRemesasClienteDataTableRules.GetUSUARIOIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasClienteUSUARIO].IsNull;
end;

procedure TRemesasClienteDataTableRules.SetUSUARIOIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasClienteUSUARIO].AsVariant := Null;
end;

function TRemesasClienteDataTableRules.GetNOMBREValue: String;
begin
  result := DataTable.Fields[idx_RemesasClienteNOMBRE].AsString;
end;

procedure TRemesasClienteDataTableRules.SetNOMBREValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasClienteNOMBRE].AsString := aValue;
end;

function TRemesasClienteDataTableRules.GetNOMBREIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasClienteNOMBRE].IsNull;
end;

procedure TRemesasClienteDataTableRules.SetNOMBREIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasClienteNOMBRE].AsVariant := Null;
end;

function TRemesasClienteDataTableRules.GetENTIDADValue: String;
begin
  result := DataTable.Fields[idx_RemesasClienteENTIDAD].AsString;
end;

procedure TRemesasClienteDataTableRules.SetENTIDADValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasClienteENTIDAD].AsString := aValue;
end;

function TRemesasClienteDataTableRules.GetENTIDADIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasClienteENTIDAD].IsNull;
end;

procedure TRemesasClienteDataTableRules.SetENTIDADIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasClienteENTIDAD].AsVariant := Null;
end;

function TRemesasClienteDataTableRules.GetSUCURSALValue: String;
begin
  result := DataTable.Fields[idx_RemesasClienteSUCURSAL].AsString;
end;

procedure TRemesasClienteDataTableRules.SetSUCURSALValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasClienteSUCURSAL].AsString := aValue;
end;

function TRemesasClienteDataTableRules.GetSUCURSALIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasClienteSUCURSAL].IsNull;
end;

procedure TRemesasClienteDataTableRules.SetSUCURSALIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasClienteSUCURSAL].AsVariant := Null;
end;

function TRemesasClienteDataTableRules.GetDCValue: String;
begin
  result := DataTable.Fields[idx_RemesasClienteDC].AsString;
end;

procedure TRemesasClienteDataTableRules.SetDCValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasClienteDC].AsString := aValue;
end;

function TRemesasClienteDataTableRules.GetDCIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasClienteDC].IsNull;
end;

procedure TRemesasClienteDataTableRules.SetDCIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasClienteDC].AsVariant := Null;
end;

function TRemesasClienteDataTableRules.GetCUENTAValue: String;
begin
  result := DataTable.Fields[idx_RemesasClienteCUENTA].AsString;
end;

procedure TRemesasClienteDataTableRules.SetCUENTAValue(const aValue: String);
begin
  DataTable.Fields[idx_RemesasClienteCUENTA].AsString := aValue;
end;

function TRemesasClienteDataTableRules.GetCUENTAIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasClienteCUENTA].IsNull;
end;

procedure TRemesasClienteDataTableRules.SetCUENTAIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasClienteCUENTA].AsVariant := Null;
end;

function TRemesasClienteDataTableRules.GetSUFIJO_N19Value: String;
begin
  result := DataTable.Fields[idx_RemesasClienteSUFIJO_N19].AsString;
end;

procedure TRemesasClienteDataTableRules.SetSUFIJO_N19Value(const aValue: String);
begin
  DataTable.Fields[idx_RemesasClienteSUFIJO_N19].AsString := aValue;
end;

function TRemesasClienteDataTableRules.GetSUFIJO_N19IsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasClienteSUFIJO_N19].IsNull;
end;

procedure TRemesasClienteDataTableRules.SetSUFIJO_N19IsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasClienteSUFIJO_N19].AsVariant := Null;
end;

function TRemesasClienteDataTableRules.GetSUFIJO_N58Value: String;
begin
  result := DataTable.Fields[idx_RemesasClienteSUFIJO_N58].AsString;
end;

procedure TRemesasClienteDataTableRules.SetSUFIJO_N58Value(const aValue: String);
begin
  DataTable.Fields[idx_RemesasClienteSUFIJO_N58].AsString := aValue;
end;

function TRemesasClienteDataTableRules.GetSUFIJO_N58IsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasClienteSUFIJO_N58].IsNull;
end;

procedure TRemesasClienteDataTableRules.SetSUFIJO_N58IsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasClienteSUFIJO_N58].AsVariant := Null;
end;

function TRemesasClienteDataTableRules.GetIMPORTE_TOTALValue: Currency;
begin
  result := DataTable.Fields[idx_RemesasClienteIMPORTE_TOTAL].AsCurrency;
end;

procedure TRemesasClienteDataTableRules.SetIMPORTE_TOTALValue(const aValue: Currency);
begin
  DataTable.Fields[idx_RemesasClienteIMPORTE_TOTAL].AsCurrency := aValue;
end;

function TRemesasClienteDataTableRules.GetIMPORTE_TOTALIsNull: boolean;
begin
  result := DataTable.Fields[idx_RemesasClienteIMPORTE_TOTAL].IsNull;
end;

procedure TRemesasClienteDataTableRules.SetIMPORTE_TOTALIsNull(const aValue: Boolean);
begin
  if aValue then
    DataTable.Fields[idx_RemesasClienteIMPORTE_TOTAL].AsVariant := Null;
end;


initialization
  RegisterDataTableRules(RID_RemesasCliente, TRemesasClienteDataTableRules);

end.
